// Code generated by protoc-gen-go. DO NOT EDIT.
// source: pb/author.proto

package authorpb

import (
	context "context"
	fmt "fmt"
	math "math"

	proto "github.com/golang/protobuf/proto"
	empty "github.com/golang/protobuf/ptypes/empty"
	_ "github.com/lyft/protoc-gen-validate/validate"
	_ "go.appointy.com/chaku/validate"
	field_mask "google.golang.org/genproto/protobuf/field_mask"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Author struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	Name                 string   `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Email                string   `protobuf:"bytes,3,opt,name=email,proto3" json:"email,omitempty"`
	Phone                string   `protobuf:"bytes,4,opt,name=phone,proto3" json:"phone,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Author) Reset()         { *m = Author{} }
func (m *Author) String() string { return proto.CompactTextString(m) }
func (*Author) ProtoMessage()    {}
func (*Author) Descriptor() ([]byte, []int) {
	return fileDescriptor_f77365c5cb50ad31, []int{0}
}

func (m *Author) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Author.Unmarshal(m, b)
}
func (m *Author) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Author.Marshal(b, m, deterministic)
}
func (m *Author) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Author.Merge(m, src)
}
func (m *Author) XXX_Size() int {
	return xxx_messageInfo_Author.Size(m)
}
func (m *Author) XXX_DiscardUnknown() {
	xxx_messageInfo_Author.DiscardUnknown(m)
}

var xxx_messageInfo_Author proto.InternalMessageInfo

func (m *Author) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *Author) GetName() string {
	if m != nil {
		return m.Name
	}
	return ""
}

func (m *Author) GetEmail() string {
	if m != nil {
		return m.Email
	}
	return ""
}

func (m *Author) GetPhone() string {
	if m != nil {
		return m.Phone
	}
	return ""
}

type CreateAuthorRequest struct {
	Author               *Author  `protobuf:"bytes,1,opt,name=author,proto3" json:"author,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *CreateAuthorRequest) Reset()         { *m = CreateAuthorRequest{} }
func (m *CreateAuthorRequest) String() string { return proto.CompactTextString(m) }
func (*CreateAuthorRequest) ProtoMessage()    {}
func (*CreateAuthorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f77365c5cb50ad31, []int{1}
}

func (m *CreateAuthorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_CreateAuthorRequest.Unmarshal(m, b)
}
func (m *CreateAuthorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_CreateAuthorRequest.Marshal(b, m, deterministic)
}
func (m *CreateAuthorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_CreateAuthorRequest.Merge(m, src)
}
func (m *CreateAuthorRequest) XXX_Size() int {
	return xxx_messageInfo_CreateAuthorRequest.Size(m)
}
func (m *CreateAuthorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_CreateAuthorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_CreateAuthorRequest proto.InternalMessageInfo

func (m *CreateAuthorRequest) GetAuthor() *Author {
	if m != nil {
		return m.Author
	}
	return nil
}

type GetAuthorRequest struct {
	Id                   string                `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	ViewMask             *field_mask.FieldMask `protobuf:"bytes,2,opt,name=viewMask,proto3" json:"viewMask,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *GetAuthorRequest) Reset()         { *m = GetAuthorRequest{} }
func (m *GetAuthorRequest) String() string { return proto.CompactTextString(m) }
func (*GetAuthorRequest) ProtoMessage()    {}
func (*GetAuthorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f77365c5cb50ad31, []int{2}
}

func (m *GetAuthorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_GetAuthorRequest.Unmarshal(m, b)
}
func (m *GetAuthorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_GetAuthorRequest.Marshal(b, m, deterministic)
}
func (m *GetAuthorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_GetAuthorRequest.Merge(m, src)
}
func (m *GetAuthorRequest) XXX_Size() int {
	return xxx_messageInfo_GetAuthorRequest.Size(m)
}
func (m *GetAuthorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_GetAuthorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_GetAuthorRequest proto.InternalMessageInfo

func (m *GetAuthorRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

func (m *GetAuthorRequest) GetViewMask() *field_mask.FieldMask {
	if m != nil {
		return m.ViewMask
	}
	return nil
}

type UpdateAuthorRequest struct {
	Author               *Author               `protobuf:"bytes,1,opt,name=author,proto3" json:"author,omitempty"`
	UpdateMask           *field_mask.FieldMask `protobuf:"bytes,2,opt,name=updateMask,proto3" json:"updateMask,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *UpdateAuthorRequest) Reset()         { *m = UpdateAuthorRequest{} }
func (m *UpdateAuthorRequest) String() string { return proto.CompactTextString(m) }
func (*UpdateAuthorRequest) ProtoMessage()    {}
func (*UpdateAuthorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f77365c5cb50ad31, []int{3}
}

func (m *UpdateAuthorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_UpdateAuthorRequest.Unmarshal(m, b)
}
func (m *UpdateAuthorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_UpdateAuthorRequest.Marshal(b, m, deterministic)
}
func (m *UpdateAuthorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_UpdateAuthorRequest.Merge(m, src)
}
func (m *UpdateAuthorRequest) XXX_Size() int {
	return xxx_messageInfo_UpdateAuthorRequest.Size(m)
}
func (m *UpdateAuthorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_UpdateAuthorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_UpdateAuthorRequest proto.InternalMessageInfo

func (m *UpdateAuthorRequest) GetAuthor() *Author {
	if m != nil {
		return m.Author
	}
	return nil
}

func (m *UpdateAuthorRequest) GetUpdateMask() *field_mask.FieldMask {
	if m != nil {
		return m.UpdateMask
	}
	return nil
}

type DeleteAuthorRequest struct {
	Id                   string   `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *DeleteAuthorRequest) Reset()         { *m = DeleteAuthorRequest{} }
func (m *DeleteAuthorRequest) String() string { return proto.CompactTextString(m) }
func (*DeleteAuthorRequest) ProtoMessage()    {}
func (*DeleteAuthorRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f77365c5cb50ad31, []int{4}
}

func (m *DeleteAuthorRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_DeleteAuthorRequest.Unmarshal(m, b)
}
func (m *DeleteAuthorRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_DeleteAuthorRequest.Marshal(b, m, deterministic)
}
func (m *DeleteAuthorRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_DeleteAuthorRequest.Merge(m, src)
}
func (m *DeleteAuthorRequest) XXX_Size() int {
	return xxx_messageInfo_DeleteAuthorRequest.Size(m)
}
func (m *DeleteAuthorRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_DeleteAuthorRequest.DiscardUnknown(m)
}

var xxx_messageInfo_DeleteAuthorRequest proto.InternalMessageInfo

func (m *DeleteAuthorRequest) GetId() string {
	if m != nil {
		return m.Id
	}
	return ""
}

type ListAuthorsRequest struct {
	ViewMask             *field_mask.FieldMask `protobuf:"bytes,1,opt,name=viewMask,proto3" json:"viewMask,omitempty"`
	XXX_NoUnkeyedLiteral struct{}              `json:"-"`
	XXX_unrecognized     []byte                `json:"-"`
	XXX_sizecache        int32                 `json:"-"`
}

func (m *ListAuthorsRequest) Reset()         { *m = ListAuthorsRequest{} }
func (m *ListAuthorsRequest) String() string { return proto.CompactTextString(m) }
func (*ListAuthorsRequest) ProtoMessage()    {}
func (*ListAuthorsRequest) Descriptor() ([]byte, []int) {
	return fileDescriptor_f77365c5cb50ad31, []int{5}
}

func (m *ListAuthorsRequest) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListAuthorsRequest.Unmarshal(m, b)
}
func (m *ListAuthorsRequest) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListAuthorsRequest.Marshal(b, m, deterministic)
}
func (m *ListAuthorsRequest) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListAuthorsRequest.Merge(m, src)
}
func (m *ListAuthorsRequest) XXX_Size() int {
	return xxx_messageInfo_ListAuthorsRequest.Size(m)
}
func (m *ListAuthorsRequest) XXX_DiscardUnknown() {
	xxx_messageInfo_ListAuthorsRequest.DiscardUnknown(m)
}

var xxx_messageInfo_ListAuthorsRequest proto.InternalMessageInfo

func (m *ListAuthorsRequest) GetViewMask() *field_mask.FieldMask {
	if m != nil {
		return m.ViewMask
	}
	return nil
}

type ListAuthorsResponse struct {
	Authors              []*Author `protobuf:"bytes,1,rep,name=authors,proto3" json:"authors,omitempty"`
	XXX_NoUnkeyedLiteral struct{}  `json:"-"`
	XXX_unrecognized     []byte    `json:"-"`
	XXX_sizecache        int32     `json:"-"`
}

func (m *ListAuthorsResponse) Reset()         { *m = ListAuthorsResponse{} }
func (m *ListAuthorsResponse) String() string { return proto.CompactTextString(m) }
func (*ListAuthorsResponse) ProtoMessage()    {}
func (*ListAuthorsResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_f77365c5cb50ad31, []int{6}
}

func (m *ListAuthorsResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_ListAuthorsResponse.Unmarshal(m, b)
}
func (m *ListAuthorsResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_ListAuthorsResponse.Marshal(b, m, deterministic)
}
func (m *ListAuthorsResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_ListAuthorsResponse.Merge(m, src)
}
func (m *ListAuthorsResponse) XXX_Size() int {
	return xxx_messageInfo_ListAuthorsResponse.Size(m)
}
func (m *ListAuthorsResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_ListAuthorsResponse.DiscardUnknown(m)
}

var xxx_messageInfo_ListAuthorsResponse proto.InternalMessageInfo

func (m *ListAuthorsResponse) GetAuthors() []*Author {
	if m != nil {
		return m.Authors
	}
	return nil
}

func init() {
	proto.RegisterType((*Author)(nil), "appointy.author.v1.Author")
	proto.RegisterType((*CreateAuthorRequest)(nil), "appointy.author.v1.CreateAuthorRequest")
	proto.RegisterType((*GetAuthorRequest)(nil), "appointy.author.v1.GetAuthorRequest")
	proto.RegisterType((*UpdateAuthorRequest)(nil), "appointy.author.v1.UpdateAuthorRequest")
	proto.RegisterType((*DeleteAuthorRequest)(nil), "appointy.author.v1.DeleteAuthorRequest")
	proto.RegisterType((*ListAuthorsRequest)(nil), "appointy.author.v1.ListAuthorsRequest")
	proto.RegisterType((*ListAuthorsResponse)(nil), "appointy.author.v1.ListAuthorsResponse")
}

func init() { proto.RegisterFile("pb/author.proto", fileDescriptor_f77365c5cb50ad31) }

var fileDescriptor_f77365c5cb50ad31 = []byte{
	// 480 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xac, 0x53, 0x4d, 0x6f, 0xd3, 0x40,
	0x10, 0xed, 0xc6, 0x49, 0xda, 0x4c, 0x2b, 0x51, 0x6d, 0x2a, 0x30, 0x46, 0x88, 0x68, 0x85, 0x28,
	0x27, 0x27, 0x14, 0xc4, 0xa1, 0x07, 0x24, 0xc2, 0xd7, 0x81, 0x22, 0x84, 0xa5, 0x5c, 0xb8, 0x54,
	0x1b, 0x3c, 0x6d, 0x56, 0x71, 0xb2, 0x4b, 0x76, 0x1d, 0xd4, 0x2b, 0x07, 0x0e, 0xdc, 0xf8, 0x37,
	0x88, 0x13, 0x7f, 0xa7, 0xfc, 0x02, 0x8e, 0xc8, 0x5e, 0x27, 0xb8, 0xce, 0x92, 0x82, 0xc4, 0xcd,
	0x3b, 0xf3, 0xe6, 0xcd, 0xcc, 0x9b, 0x67, 0xb8, 0xa2, 0x86, 0x5d, 0x9e, 0x9a, 0x91, 0x9c, 0x85,
	0x6a, 0x26, 0x8d, 0xa4, 0x94, 0x2b, 0x25, 0xc5, 0xd4, 0x9c, 0x85, 0x45, 0x78, 0x7e, 0x2f, 0xd8,
	0x9b, 0xf3, 0x44, 0xc4, 0xdc, 0x60, 0xf7, 0xdd, 0x88, 0x8f, 0x53, 0x8b, 0x0c, 0x6e, 0x9c, 0x4a,
	0x79, 0x9a, 0x60, 0x37, 0x7f, 0x0d, 0xd3, 0x93, 0x2e, 0x4e, 0x94, 0x39, 0x2b, 0x92, 0xd7, 0x96,
	0x25, 0x8b, 0x8f, 0x22, 0xd1, 0xa9, 0x56, 0x9d, 0x08, 0x4c, 0xe2, 0xe3, 0x09, 0xd7, 0x63, 0x8b,
	0x60, 0x9f, 0x08, 0x34, 0x1f, 0xe7, 0xbd, 0xe9, 0x75, 0xa8, 0x89, 0xd8, 0x27, 0x1d, 0x72, 0xb7,
	0xd5, 0x6f, 0x7d, 0x3b, 0xff, 0xee, 0xd5, 0x67, 0xb5, 0x5d, 0x12, 0xd5, 0x44, 0x4c, 0x6f, 0x42,
	0x7d, 0xca, 0x27, 0xe8, 0xd7, 0xaa, 0xc9, 0x3c, 0x4c, 0x6f, 0x41, 0x03, 0x27, 0x5c, 0x24, 0xbe,
	0x57, 0xcd, 0xdb, 0x38, 0xdd, 0x83, 0x86, 0x1a, 0xc9, 0x29, 0xfa, 0xf5, 0x0c, 0x10, 0xd9, 0xc7,
	0xe1, 0xf6, 0xcf, 0xf3, 0x1e, 0xf9, 0xf8, 0xa3, 0xe7, 0xf1, 0xd4, 0xb0, 0x01, 0xb4, 0x9f, 0xcc,
	0x90, 0x1b, 0xb4, 0xd3, 0x44, 0xf8, 0x3e, 0x45, 0x6d, 0xe8, 0x23, 0x68, 0x5a, 0x69, 0xf2, 0xc1,
	0xb6, 0x0f, 0x82, 0x70, 0x55, 0xb2, 0xd0, 0x96, 0xf4, 0x21, 0xeb, 0xdb, 0xf8, 0x4c, 0xb2, 0xc6,
	0x45, 0x15, 0x43, 0xd8, 0x7d, 0x81, 0xe6, 0x22, 0xe7, 0x9a, 0x45, 0x1f, 0xc2, 0xd6, 0x5c, 0xe0,
	0x87, 0x57, 0x5c, 0x8f, 0xf3, 0x65, 0xb3, 0x86, 0x56, 0xc3, 0x70, 0xa1, 0x61, 0xf8, 0x3c, 0xd3,
	0x30, 0x43, 0x44, 0x4b, 0x2c, 0xfb, 0x42, 0xa0, 0x3d, 0x50, 0xf1, 0xff, 0x1e, 0x9f, 0x1e, 0x02,
	0xa4, 0x39, 0xed, 0x5f, 0x4e, 0x54, 0x42, 0xb3, 0x1e, 0xb4, 0x9f, 0x62, 0x82, 0xd5, 0x91, 0xfe,
	0xbc, 0x3d, 0x3b, 0x02, 0x7a, 0x24, 0x74, 0xa1, 0x96, 0x5e, 0x14, 0x94, 0x35, 0x21, 0xff, 0xa0,
	0xc9, 0x4b, 0x68, 0x5f, 0x60, 0xd3, 0x4a, 0x4e, 0x35, 0xd2, 0x07, 0xb0, 0x69, 0x97, 0xd3, 0x3e,
	0xe9, 0x78, 0xeb, 0x35, 0x89, 0x16, 0xd0, 0x83, 0xaf, 0x1e, 0x6c, 0x16, 0x4c, 0x74, 0x00, 0x3b,
	0x65, 0xab, 0xd0, 0x7d, 0x17, 0x81, 0xc3, 0x4c, 0xc1, 0x9a, 0x4e, 0x6c, 0x83, 0xbe, 0x86, 0xd6,
	0xd2, 0x2a, 0xf4, 0xb6, 0x0b, 0x5a, 0x75, 0xd2, 0x25, 0x84, 0x6f, 0x60, 0xa7, 0xec, 0x09, 0xf7,
	0x9c, 0x0e, 0xd7, 0x04, 0x57, 0x57, 0xf4, 0x7d, 0x96, 0xfd, 0xed, 0x96, 0xb2, 0x7c, 0x53, 0x37,
	0xa5, 0xe3, 0xea, 0x6b, 0x28, 0x8f, 0x01, 0x7e, 0x9f, 0x89, 0xde, 0x71, 0x11, 0xae, 0x9a, 0x22,
	0xd8, 0xbf, 0x14, 0x67, 0xcf, 0xcd, 0x36, 0xfa, 0xf0, 0x76, 0xcb, 0x42, 0xd4, 0x70, 0xd8, 0xcc,
	0xdb, 0xdf, 0xff, 0x15, 0x00, 0x00, 0xff, 0xff, 0xfe, 0xd5, 0x1c, 0x77, 0x0a, 0x05, 0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConn

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion4

// AuthorsClient is the client API for Authors service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type AuthorsClient interface {
	CreateAuthor(ctx context.Context, in *CreateAuthorRequest, opts ...grpc.CallOption) (*Author, error)
	GetAuthor(ctx context.Context, in *GetAuthorRequest, opts ...grpc.CallOption) (*Author, error)
	UpdateAuthor(ctx context.Context, in *UpdateAuthorRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	DeleteAuthor(ctx context.Context, in *DeleteAuthorRequest, opts ...grpc.CallOption) (*empty.Empty, error)
	ListAuthor(ctx context.Context, in *ListAuthorsRequest, opts ...grpc.CallOption) (*ListAuthorsResponse, error)
}

type authorsClient struct {
	cc *grpc.ClientConn
}

func NewAuthorsClient(cc *grpc.ClientConn) AuthorsClient {
	return &authorsClient{cc}
}

func (c *authorsClient) CreateAuthor(ctx context.Context, in *CreateAuthorRequest, opts ...grpc.CallOption) (*Author, error) {
	out := new(Author)
	err := c.cc.Invoke(ctx, "/appointy.author.v1.Authors/CreateAuthor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authorsClient) GetAuthor(ctx context.Context, in *GetAuthorRequest, opts ...grpc.CallOption) (*Author, error) {
	out := new(Author)
	err := c.cc.Invoke(ctx, "/appointy.author.v1.Authors/GetAuthor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authorsClient) UpdateAuthor(ctx context.Context, in *UpdateAuthorRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/appointy.author.v1.Authors/UpdateAuthor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authorsClient) DeleteAuthor(ctx context.Context, in *DeleteAuthorRequest, opts ...grpc.CallOption) (*empty.Empty, error) {
	out := new(empty.Empty)
	err := c.cc.Invoke(ctx, "/appointy.author.v1.Authors/DeleteAuthor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

func (c *authorsClient) ListAuthor(ctx context.Context, in *ListAuthorsRequest, opts ...grpc.CallOption) (*ListAuthorsResponse, error) {
	out := new(ListAuthorsResponse)
	err := c.cc.Invoke(ctx, "/appointy.author.v1.Authors/ListAuthor", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// AuthorsServer is the server API for Authors service.
type AuthorsServer interface {
	CreateAuthor(context.Context, *CreateAuthorRequest) (*Author, error)
	GetAuthor(context.Context, *GetAuthorRequest) (*Author, error)
	UpdateAuthor(context.Context, *UpdateAuthorRequest) (*empty.Empty, error)
	DeleteAuthor(context.Context, *DeleteAuthorRequest) (*empty.Empty, error)
	ListAuthor(context.Context, *ListAuthorsRequest) (*ListAuthorsResponse, error)
}

// UnimplementedAuthorsServer can be embedded to have forward compatible implementations.
type UnimplementedAuthorsServer struct {
}

func (*UnimplementedAuthorsServer) CreateAuthor(ctx context.Context, req *CreateAuthorRequest) (*Author, error) {
	return nil, status.Errorf(codes.Unimplemented, "method CreateAuthor not implemented")
}
func (*UnimplementedAuthorsServer) GetAuthor(ctx context.Context, req *GetAuthorRequest) (*Author, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GetAuthor not implemented")
}
func (*UnimplementedAuthorsServer) UpdateAuthor(ctx context.Context, req *UpdateAuthorRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method UpdateAuthor not implemented")
}
func (*UnimplementedAuthorsServer) DeleteAuthor(ctx context.Context, req *DeleteAuthorRequest) (*empty.Empty, error) {
	return nil, status.Errorf(codes.Unimplemented, "method DeleteAuthor not implemented")
}
func (*UnimplementedAuthorsServer) ListAuthor(ctx context.Context, req *ListAuthorsRequest) (*ListAuthorsResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method ListAuthor not implemented")
}

func RegisterAuthorsServer(s *grpc.Server, srv AuthorsServer) {
	s.RegisterService(&_Authors_serviceDesc, srv)
}

func _Authors_CreateAuthor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(CreateAuthorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorsServer).CreateAuthor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.author.v1.Authors/CreateAuthor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorsServer).CreateAuthor(ctx, req.(*CreateAuthorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authors_GetAuthor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(GetAuthorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorsServer).GetAuthor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.author.v1.Authors/GetAuthor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorsServer).GetAuthor(ctx, req.(*GetAuthorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authors_UpdateAuthor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(UpdateAuthorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorsServer).UpdateAuthor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.author.v1.Authors/UpdateAuthor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorsServer).UpdateAuthor(ctx, req.(*UpdateAuthorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authors_DeleteAuthor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(DeleteAuthorRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorsServer).DeleteAuthor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.author.v1.Authors/DeleteAuthor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorsServer).DeleteAuthor(ctx, req.(*DeleteAuthorRequest))
	}
	return interceptor(ctx, in, info, handler)
}

func _Authors_ListAuthor_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(ListAuthorsRequest)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(AuthorsServer).ListAuthor(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/appointy.author.v1.Authors/ListAuthor",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(AuthorsServer).ListAuthor(ctx, req.(*ListAuthorsRequest))
	}
	return interceptor(ctx, in, info, handler)
}

var _Authors_serviceDesc = grpc.ServiceDesc{
	ServiceName: "appointy.author.v1.Authors",
	HandlerType: (*AuthorsServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "CreateAuthor",
			Handler:    _Authors_CreateAuthor_Handler,
		},
		{
			MethodName: "GetAuthor",
			Handler:    _Authors_GetAuthor_Handler,
		},
		{
			MethodName: "UpdateAuthor",
			Handler:    _Authors_UpdateAuthor_Handler,
		},
		{
			MethodName: "DeleteAuthor",
			Handler:    _Authors_DeleteAuthor_Handler,
		},
		{
			MethodName: "ListAuthor",
			Handler:    _Authors_ListAuthor_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "pb/author.proto",
}
